oracle 10.2.0.1 install on rhel5 x86的相关问题

在rhel5 x86上安装oracle 10.2.0.1的时候一直顾虑缺少rpm包的问题,在doc上发现需要如下的rpm包
binutils-2.15.92.0.2-13.EL4
compat-db-4.1.25-9
compat-libstdc++-296-2.96-132.7.2
control-center-2.8.0-12
gcc-3.4.3-22.1.EL4
gcc-c++-3.4.3-22.1.EL44
glibc-2.3.4-2.9
glibc-common-2.3.4-2.9
gnome-libs-1.4.1.2.90-44.1
libstdc++-3.4.3-22.1
libstdc++-devel-3.4.3-22.1
make-3.80-5
pdksh-5.2.14-30
sysstat-5.0.5-1
xscreensaver-4.18-5.rhel4.2
setarch-1.6-1
其中gnome-libs的包很麻烦,去google上找了类似的gnome-libs包,打上总是会报dependecy的错误
error: Failed dependencies:
ORBit is needed by gnome-libs-1.4.1.2.90-24.2.i386
imlib is needed by gnome-libs-1.4.1.2.90-24.2.i386
libgdk_imlib.so.1 is needed by gnome-libs-1.4.1.2.90-24.2.i386
libIIOP.so.0 is needed by gnome-libs-1.4.1.2.90-24.2.i386
libORBitCosNaming.so.0 is needed by gnome-libs-1.4.1.2.90-24.2.i386
libORBit.so.0 is needed by gnome-libs-1.4.1.2.90-24.2.i386
libORBitutil.so.0 is needed by gnome-libs-1.4.1.2.90-24.2.i386
libpng.so.2 is needed by gnome-libs-1.4.1.2.90-24.2.i386
没办法,在缺少这个包的情况下硬着头皮上,尽然安装+建库成功,没有任何的问题。
此次安装主要解决了两个疑惑:
1.gnome-libs在rhel5 x86上安装oracle的时候,缺少也没有关系
2.内核参数、limits如果不手工更改,oracle安装的时候不会自己帮你更改,所以还是手动更改吧